Skip to main content

Fetch his/her subscription requests details

Be invoked by the patient or user through the Personal Health Record (PHR) application to fetch details of their subscription requests.

GET/api/hiecm/subscription-requests/v3/requests

By using this API, patients can retrieve comprehensive information about all their subscription requests, including the status and specifics of each request. This functionality is essential for maintaining transparency and enabling patients to manage their subscriptions effectively. The API supports secure and efficient access to subscription data, enhancing the overall user experience within the healthcare ecosystem.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Query parameters

limitintegerRequired

How many items to return at one time

offsetintegerRequired

How many items out of line

statusstringRequired

Query string parameter restricts the data returned from your request

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

Responses

200

OK

sizeintegerRequired
limitintegerRequired
offsetintegerRequired
requestsobject[]Required
requests.subscriptionIdstring
requests.requestIdstringRequired
requests.createdAtstring
requests.lastUpdatedstring
requests.purposeobject
requests.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

requests.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

requests.purpose.refUristringRequired

The reference URL.Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

requests.patientobject
requests.patient.idstringRequired

The abha address of the patient. Must start with Alphanumeric . and _ in the middle and must be ending with @abdm or @sbx. Allows alpha numeric character and special characters like ^[a-zA-Z0-9][a-zA-Z0-9_.\\-!]+[a-zA-Z0-9]@(abdm|sbx)$

requests.hiuobject
requests.hiu.idstringRequired

The service ID of the health information user. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

requests.hiu.namestring

The name of the health information user. Allows alphanumeric characters and special characters like"^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

requests.hiu.typestring

The type of the health information user. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

requests.hipsobject[]
requests.hips.idstringRequired

The service ID of the health information provider. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

requests.hips.namestring

The name of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

requests.hips.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

requests.categoriesstring[]
requests.periodobject
requests.period.fromstringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

requests.period.tostringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

requests.statusstring

One of REQUESTEDGRANTEDDENIEDEXPIREDREVOKED

requests.requestTypestring

One of HEALTH_LOCKERHIUHIP

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1066 - Invalid JWT token. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
404

server cannot find the requested resource

Error codes for this module

500

Internal Server Error

Error codes for this module

timestampnumberRequired
pathstringRequired
statusintegerRequired
errorstringRequired

The error code and message, if any occurred.

requestIdstringRequired
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.

messagestringRequired